Package org.snpeff.genBank

# Class FeatureCoordinates

java.lang.Object
org.snpeff.genBank.FeatureCoordinates

public class FeatureCoordinates extends Object
A feature in a GenBank or EMBL file

Author:
  pablocingolani

## Field Summary

Fields
Modifier and Type
Field
Description
`boolean`
`complement`
`int`
`end`
`int`
`start`

## Constructor Summary

Constructors
Constructor
Description
`FeatureCoordinates(int start, int end, boolean complement)`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### start

public int start

### end

public int end

### complement

public boolean complement

## Constructor Details

### FeatureCoordinates

public FeatureCoordinates(int start, int end, boolean complement)

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`